summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2011-02-03 06:10:07 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-02-03 06:10:07 -0600
commit1ab5855ce53426e62998d534d113ff888e5c4a1d (patch)
tree0074a75e230c756afbc2c51bd3bc1cf50877a550 /graphics
parentf0a28759c180dd0e967f516bdf915486dff0db6c (diff)
downloadslackbuilds-1ab5855ce53426e62998d534d113ff888e5c4a1d.tar.gz
slackbuilds-1ab5855ce53426e62998d534d113ff888e5c4a1d.tar.xz
graphics/graphviz: Fixed handling of $libdir/graphviz/config6
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/graphviz/doinst.sh4
-rw-r--r--graphics/graphviz/graphviz.SlackBuild20
-rw-r--r--graphics/graphviz/graphviz.info2
3 files changed, 13 insertions, 13 deletions
diff --git a/graphics/graphviz/doinst.sh b/graphics/graphviz/doinst.sh
index 0a705bcd57..24af708a0e 100644
--- a/graphics/graphviz/doinst.sh
+++ b/graphics/graphviz/doinst.sh
@@ -1,3 +1,3 @@
-# Configure plugins (writes $prefix/lib/graphviz/config with available plugin
-# information)
+# Configure plugins
+# (writes /usr/lib*/graphviz/config6 with available plugin information)
chroot . /usr/bin/dot -c
diff --git a/graphics/graphviz/graphviz.SlackBuild b/graphics/graphviz/graphviz.SlackBuild
index 4e8982c78c..64b22ddf13 100644
--- a/graphics/graphviz/graphviz.SlackBuild
+++ b/graphics/graphviz/graphviz.SlackBuild
@@ -6,16 +6,14 @@
# Modified by Robby Workman <rworkman@slackbuilds.org>
PRGNAM=graphviz
-VERSION=2.26.3
+VERSION=${VERSION:-2.26.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -39,7 +37,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -63,19 +61,21 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-# Remove empty directories of language bindings that are absent
+# Remove empty directories of language bindings that are absent.
find $PKG/usr/lib${LIBDIRSUFFIX}/graphviz -depth -type d -empty -exec rmdir {} \;
# Create a "dummy" config file in /usr/lib${LIBDIRSUFFIX}/graphviz so that it
# will be removed when the package is uninstalled. This file is generated by
# the postinstall script and contains information about available plugins, so
# this is (or at least should be) safe.
-touch $PKG/usr/lib${LIBDIRSUFFIX}/graphviz/config6
+#
+# Write some dummy content to it to avoid
+# "Error: /usr/lib64/graphviz/config6 is zero sized, or other read error."
+# message during installation.
+echo '# Dummy content.' > $PKG/usr/lib${LIBDIRSUFFIX}/graphviz/config6
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a INSTALL README* $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/graphics/graphviz/graphviz.info b/graphics/graphviz/graphviz.info
index 927cf61aa7..113badfd73 100644
--- a/graphics/graphviz/graphviz.info
+++ b/graphics/graphviz/graphviz.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Audrius Kažukauskas"
EMAIL="audrius@neutrino.lt"
-APPROVED="dsomero"
+APPROVED="rworkman"